module bus_iface( addr, as, uds, lds, rw, dtack, w_reg, r_reg );
  input [23:1] addr;
  input as,uds,lds,rw;
  inout dtack;
  output w_reg,r_reg;
  wire ack, gnd, w_reg, r_reg, a,b;
	
  assign gnd = 0;
  bufif1(dtack, gnd, ack);
  assign ack = w_reg | r_reg;

  assign a = ~(as|uds|lds);
  assign b = addr[23:20] == 'hB;

  assign w_reg = ~rw & a & b;
  assign r_reg = rw & a & b;

endmodule
