#include <stdio.h>
#include "poke.h"

/*
 CFG_PORT:  controls the START and STOP flip-flops
 TIME_PORT: read the reaction time from this port
 */
#define CFG_PORT   0xB00000
#define TIME_PORT  0xB00000

#define ICR        0xFFFFFFFA
#define CFPGA_ICR  0x00C20000
#define PDATA      0xFFFFFFF0
#define AUTO6      0x00000078

extern int intrstub( void );
extern int spl0( void ), spl7( void );

int main( )
{  /* 
     Setup the interrupts on the Ultragizmo board 
    */
   spl7( ); 
   pokeb( CFPGA_ICR, 0x06 );
   pokel( AUTO6    , intrstub );
   pokew( ICR      , 0x60ff );
   pokew( PDATA    , 0xfff7 );
   spl0( );
   /* 
     Add: Code to initiate test.
    */
   for(;;); /* Wait forever */
}

int interrupt( )
{
   unsigned short time;
   time = peekw( TIME_PORT );
   /* 
     Add: Code to 
       1. clear interrupt, 
       2. print out time 
          a. a version that uses printf
	  b. a version that does not use the printf family of library functions
	     you may use the puts function to output a string
    */
}

